services:
  transmission-openvpn:
    container_name: transmission
    restart: unless-stopped
    volumes:
      - /mnt/media/movies:/data
      - /home/garg/arr/config/transmission:/config
    environment:
      - PUID=1000
      - PGID=1000
      - OPENVPN_PROVIDER=EXPRESSVPN
      - OPENVPN_CONFIG=my_expressvpn_usa_-_new_jersey_-_1_udp
      - OPENVPN_USERNAME=4jkn3gn8hm35khrkxnexta61
      - OPENVPN_PASSWORD=u18axtrylts7tupmoftzlfki
      - LOCAL_NETWORK=192.168.0.0/16
    ports:
      - 9091:9091
      - 51413:51413
      - 51413:51413/udp
    cap_add:
      - NET_ADMIN
    image: haugene/transmission-openvpn

  # radarr:
  #   # restart: always
  #   container_name: radarr
  #   image: cr.hotio.dev/hotio/radarr
  #   ports:
  #     - 7878:7878
  #   environment:
  #     - PUID=1000
  #     - PGID=1000
  #     - UMASK=002
  #   volumes:
  #     - /home/garg/arr/data:/data
  #     - /home/garg/arr/config/radarr:/config

  # sonarr:
  #   # restart: always
  #   container_name: sonarr
  #   image: cr.hotio.dev/hotio/sonarr
  #   ports:
  #     - 8989:8989
  #   environment:
  #     - PUID=1000
  #     - PGID=1000
  #     - UMASK=002
  #   volumes:
  #     - /home/garg/arr/data:/data
  #     - /home/garg/arr/config/sonarr:/config

  # prowlarr:
  #   container_name: prowlarr
  #   image: cr.hotio.dev/hotio/prowlarr
  #   ports:
  #     - 9696:9696
  #   environment:
  #     - PUID=1000
  #     - PGID=1000
  #     - UMASK=002
  #   volumes:
  #     - /home/garg/arr/data:/data
  #     - /home/garg/arr/config/prowlarr:/config

  # sabnzbd:
  #   container_name: sabnzbd
  #   image: cr.hotio.dev/hotio/sabnzbd
  #   ports:
  #     - 8080:8080
  #   environment:
  #     - PUID=1000
  #     - PGID=1000
  #     - UMASK=002
  #   volumes:
  #     - /home/garg/arr/data:/data
  #     - /home/garg/arr/config/sabnzbd:/config